MSR_HOST_LATENCY(3)

NAME
msr_host_latency - Calculate latency between last sample in a Mini-SEED record and the host computer time.

SYNOPSIS
#include <libmseed.h>

double  msr_host_latency ( MSRecord *msr );

DESCRIPTION
msr_host_latency calculates the latency in seconds of the Mini-SEED data as the difference between current time in UTC of the host computer and the time of the last sample in the record.

This routine is only really useful when dealing with a telemetered data stream or something similar.

Double precision is returned, but the true precision is dependent on the accuracy of the host system clock among other things.

RETURN VALUES
msr_host_latency returns seconds of latency or 0.0 on error (indistinguishable from 0.0 latency).

SEE ALSO
ms_intro(3) and msr_unpack(3).

AUTHOR
Chad Trabant
IRIS Data Management Center